#!/bin/bash

for i in Cubic Bic HighSpeed NewReno Noordwijk Hybla CubicMw BicMw HighSpeedMw \
         NewRenoMw NoordwijkMw HyblaMw; do

    for j in 2 4 8 16; do
        cat wj_master_inf.def | sed "s/####/${i}/g" | sed "s/@@/${j}/g" > wj_${i}_${j}_inf.ini
        cat wj_master_std.def | sed "s/####/${i}/g" | sed "s/@@/${j}/g" > wj_${i}_${j}_std.ini

        n=$(echo ${j}-1 | bc)

        for k in wj_${i}_${j}_inf.ini wj_${i}_${j}_std.ini; do
            for h in $(seq 0 ${n}); do
                time=""
                if [[ ${j} -eq 2 ]]; then
                  time=$(echo $h | awk '{printf "%f", 0.25 * $1}')
                elif [[ ${j} -eq 4 ]]; then
                  time=$(echo $h | awk '{printf "%f", 0.12 * $1}')
                else
                  time=$(echo $h | awk '{printf "%f", 0.1 * $1}')
                fi

                echo "[$h]" >> $k
                echo "SocketType = Tcp${i}" >> $k
                echo "StartTime = ${time}" >> $k
                echo "StopTime = 900.0" >> $k
                echo "OverheadDelay = 0ms" >> $k
                echo "DataRate = 2Mbps" >> $k
                echo "" >> $k
            done
        done
    done
done

sed -i "s/EnableC2ML\ =\ false/EnableC2ML\ =\ true/g" wj_*Mw*.ini

for i in Noordwijk NoordwijkMw; do
    for j in 2 4 8 16; do
        for k in wj_${i}_${j}_inf.ini wj_${i}_${j}_std.ini; do
            sed -i "s/InitialCwnd\ =\ 10/InitialCwnd\ =\ 20/g" $k
            sed -i "s/DelAckCount\ =\ 2/DelAckCount\ =\ 1/g" $k
        done
    done
done

for i in NoordwijkMw; do
    for j in 2 4 8 16; do
        for k in wj_${i}_${j}_inf.ini wj_${i}_${j}_std.ini; do
            sed -i "s/InitialCwnd\ =\ 20/InitialCwnd\ =\ 5/g" $k
            sed -i "s/NoordTx\ =\ 500/NoordTx\ =\ 50/g" $k
        done
    done
done
