
usage() { echo "Usage: $0 -f [file prefix] -e [eps dir] -d [data dir] -g [gnuplot file template]" 1>&2; exit 1; }

while getopts ":e:d:g:f:" o; do
    case "${o}" in
        e)
            EPS_DIR=${OPTARG}
            ;;
        d)
            DATA_DIR=${OPTARG}
            ;;
        g)
            GNUPLOT_FILE=${OPTARG}
            ;;
        f)
            i=${OPTARG}
            ;;
        *)
            usage
            ;;
    esac
done
shift $((OPTIND-1))

if [ -z "${EPS_DIR}" ] || [ -z "${DATA_DIR}" ]; then
    usage
fi

echo -en "set output \"${EPS_DIR}/${i}.eps\"\n" >> tmp.gnuplot
echo "plot \"${DATA_DIR}/${i}-throughput-1.data\" u 1:2:(1.0) title \"Node 1\" w l ls 2, \
            \"${DATA_DIR}/${i}-throughput-2.data\" u 1:2:(1.0) title \"Node 2\" w l ls 3, \
            \"${DATA_DIR}/${i}-throughput-3.data\" u 1:2:(1.0) title \"Node 3\" w l ls 4, \
            \"${DATA_DIR}/${i}-throughput.data\" u 1:2:(1.0) title \"Total\" w l ls 1" >> tmp.gnuplot

cat ${GNUPLOT_FILE} tmp.gnuplot | gnuplot
rm -f tmp.gnuplot

