
usage() { echo "Usage: $0 -f [file prefix] -e [eps dir] -d [data dir] -g [gnuplot file template]" 1>&2; exit 1; }

while getopts ":e:d:g:f:" o; do
    case "${o}" in
        e)
            EPS_DIR=${OPTARG}
            ;;
        d)  
            DATA_DIR=${OPTARG}                                                    
            ;;
        g)
            GNUPLOT_FILE=${OPTARG}                                                             
            ;;
        f)  
            NAME=${OPTARG}                         
            ;;
        *)  
            usage                                                                              
            ;;
    esac    
done
shift $((OPTIND-1))

if [ -z "${EPS_DIR}" ] || [ -z "${DATA_DIR}" ]; then
    usage
fi

OVERALL_DATA_FILE=${DATA_DIR}/wj_${NAME}_overall-gwqueue-max.data
OVERALL_DATA_FILE_MW=${DATA_DIR}/wj_${NAME}Mw_overall-gwqueue-max.data

rm -f $OVERALL_DATA_FILE
rm -f $OVERALL_DATA_FILE_MW

for i in 2 4 8 16; do
    cat ${DATA_DIR}/wj_${NAME}_${i}_inf-gwqueue-max.data >> $OVERALL_DATA_FILE
    cat ${DATA_DIR}/wj_${NAME}Mw_${i}_inf-gwqueue-max.data >> $OVERALL_DATA_FILE_MW
done

echo "set ylabel \"Max queue size (KB)\"; \
    set output \"${EPS_DIR}/queue_${NAME}.eps\"; \
    plot \
    \"${OVERALL_DATA_FILE}\" u (\$2/1024):xtic(1) ti \"${NAME}\" ls 1 fs pattern 4, \
    \"${OVERALL_DATA_FILE_MW}\" u (\$2/1024):xtic(1) ti \"${NAME} and C^{2}ML\" ls 2 fs pattern 5" >> tmp.gnuplot

cat ${GNUPLOT_FILE} tmp.gnuplot | gnuplot

rm tmp.gnuplot
