
usage() { echo "Usage: $0 -f [file prefix] -e [eps dir] -d [data dir] -g [gnuplot file template]" 1>&2; exit 1; }

while getopts ":e:d:g:f:" o; do
    case "${o}" in
        e)
            EPS_DIR=${OPTARG}
            ;;
        d)  
            DATA_DIR=${OPTARG}                                                    
            ;;
        g)
            GNUPLOT_FILE=${OPTARG}                                                             
            ;;
        f)  
            NAME=${OPTARG}                         
            ;;
        *)  
            usage                                                                              
            ;;
    esac    
done
shift $((OPTIND-1))

if [ -z "${EPS_DIR}" ] || [ -z "${DATA_DIR}" ]; then
    usage
fi

for i in 2 4 8 16; do

sample=50

#  case "$i" in
#  2) sample=10
#    ;;
#  4) sample=20
#    ;;
#  8) sample=100
#    ;;
#  16) sample=150
#   ;;
#  *) echo "Signal number $1 is not processed"
#   ;;
#esac
  for j in inf std; do
    echo "set xtics $sample; set xtics rotate by -75; set output \"${EPS_DIR}/rtt_${NAME}_${i}_${j}.eps\"; \
        plot \
        \"${DATA_DIR}/wj_${NAME}_${i}_${j}-rtt-1.data\" u 1:2 ti \"${NAME}\" w l ls 2, \
        \"${DATA_DIR}/wj_${NAME}Mw_${i}_${j}-rtt-1.data\" u 1:2 ti \"${NAME} and C^{2}ML\" w l ls 3" > tmp.gnuplot

    cat ${GNUPLOT_FILE} tmp.gnuplot | gnuplot

    rm tmp.gnuplot
  done
done

