#set terminal svg size 540,380 fname "Gill Sans" fsize 9 rounded dashed
set terminal post eps enhanced monochrome font "Arial,20" linewidth 3 dashed dl 3
# Line style for axes
set style line 80 lt 1
set style line 80 lt rgb "#000000"

# Line style for grid
set style line 81 lt 0  # no dashed
set style line 81 lt rgb "#808080" lw 0.5  # grey

set grid back linestyle 81
set border 3 back linestyle 80 # Remove border on top and right.  These
			       # borders are useless and make it harder
			       # to see plotted lines near the border.
			       # Also, put it in grey; no need for so much
			       # emphasis on a border.
#set xtics nomirror
#set ytics nomirror
#set ytics ("100" 32000, "500" 64000, "1000" 128000, "1500" 192000, "2000" 256000)

# Logscale?
#set log y
#set log x
#set mytics 1000    # Makes logscale look good.
# End Logscale
#
set style line 1 lt 1
set style line 2 lt 3
set style line 3 lt 4
set style line 4 lt 5
set style line 1 lt rgb "#A00000" lw 3 pt 7
set style line 2 lt rgb "#00A000" lw 1.5 pt 9 ps 2 pi 5 
set style line 3 lt rgb "#5060D0" lw 1.5 pt 5 ps 1.5 pi 5
set style line 4 lt rgb "#F25900" lw 1.5 pt 13 ps 2 pi 5
set pointintervalbox 3 

set yrange [400:]
set xrange [0:350]

set xlabel "Time (s)"
set ylabel "RTT (ms)"

set key outside below vertical left maxrows 1
