#!/bin/bash

source ../conf.sh

GNUPLOT_FILE="throughput.gnuplot"
GNUPLOT_FILE_6="throughput6.gnuplot"

OUT="Cubic Hybla NewReno HighSpeed Noordwijk Bic"
OUT6="6_tcp_nomw_inf 6_tcp_nomw_std 6_tcp_mw_inf 6_tcp_mw_std"

dir=$(pwd)

args=""

for i in $OUT; do
    for j in nomw_std nomw_inf mw_std mw_inf; do
        args="$args \" c2ml-lan --ConfigurationFile=$INI_PATH/3_${i}_${j}.ini \""
        args="$args \" c2ml-lan --ConfigurationFile=$INI_PATH/3rtt_${i}_${j}.ini \""
    done
done

for i in $OUT6; do
    args="$args \" c2ml-lan --ConfigurationFile=$INI_PATH/${i}.ini \""
done

cd ${NS3_HOME_DIR}

cmd="parallel \"$NS3_COMMAND \" ::: $args"
eval $cmd

if [ ! $? -eq 0 ]; then
    echo -en "FALLITO QUALCOSA"
    exit 
fi

mv *.pcap *.data $OUTPUT_DATA_DIR

cd $dir

args=""
for i in $OUT; do
    for j in nomw_std nomw_inf mw_std mw_inf; do
        file="${OUTPUT_DATA_DIR}/3_${i}_${j}"
        filertt="${OUTPUT_DATA_DIR}/3rtt_${i}_${j}"
        args="${args} \"${CAPTCP} throughput -p -s 2 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput.data\""
        args="${args} \"${CAPTCP} throughput -p -s 2 -f 1 -d 0 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-1.data\""
        args="${args} \"${CAPTCP} throughput -p -s 2 -f 2 -d 10 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-2.data\""
        args="${args} \"${CAPTCP} throughput -p -s 2 -f 3 -d 20 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-3.data\""
        args="${args} \"${CAPTCP} throughput -p -s 2 -t ${filertt}-sat-gateway-sat0.pcap > /${filertt}-throughput.data\""
        args="${args} \"${CAPTCP} throughput -p -s 2 -f 1 -d 0 -t ${filertt}-sat-gateway-sat0.pcap > ${filertt}-throughput-1.data\""
        args="${args} \"${CAPTCP} throughput -p -s 2 -f 2 -d 10 -t ${filertt}-sat-gateway-sat0.pcap > ${filertt}-throughput-2.data\""
        args="${args} \"${CAPTCP} throughput -p -s 2 -f 3 -d 20 -t ${filertt}-sat-gateway-sat0.pcap > ${filertt}-throughput-3.data\""
    done
done

for j in nomw_std nomw_inf mw_std mw_inf; do
    file="${OUTPUT_DATA_DIR}/6_tcp_${j}"
    args="${args} \"${CAPTCP} throughput -p -s 2 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput.data\""
    args="${args} \"${CAPTCP} throughput -p -s 2 -f 1 -d 0 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-1.data\""
    args="${args} \"${CAPTCP} throughput -p -s 2 -f 2 -d 3 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-2.data\""
    args="${args} \"${CAPTCP} throughput -p -s 2 -f 3 -d 6 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-3.data\""
    args="${args} \"${CAPTCP} throughput -p -s 2 -f 4 -d 9 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-4.data\""
    args="${args} \"${CAPTCP} throughput -p -s 2 -f 5 -d 12 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-5.data\""
    args="${args} \"${CAPTCP} throughput -p -s 2 -f 6 -d 15 -t ${file}-sat-gateway-sat0.pcap > ${file}-throughput-6.data\""
done

cmd="parallel ::: ${args}"
eval $cmd

cd ..

for i in $OUT; do
    for j in nomw_std nomw_inf mw_std mw_inf; do
        file="${OUTPUT_DATA_DIR}/3_${i}_${j}"
        filertt="${OUTPUT_DATA_DIR}/3rtt_${i}_${j}"
        python throughput-header-and-trailer.py "${file}-throughput-1.data"
        python throughput-header-and-trailer.py "${file}-throughput-2.data"
        python throughput-header-and-trailer.py "${file}-throughput-3.data"
        python throughput-header-and-trailer.py "${filertt}-throughput-1.data"
        python throughput-header-and-trailer.py "${filertt}-throughput-2.data"
        python throughput-header-and-trailer.py "${filertt}-throughput-3.data"
    done
done

cd script

for i in $OUT; do
    for j in nomw_std nomw_inf mw_std mw_inf; do
        ./do_plot3.sh -f 3_${i}_${j} -e ${OUTPUT_EPS_DIR} -d ${OUTPUT_DATA_DIR} -g ${GNUPLOT_FILE}
        ./do_plot3rtt.sh -f 3rtt_${i}_${j} -e ${OUTPUT_EPS_DIR} -d ${OUTPUT_DATA_DIR} -g ${GNUPLOT_FILE}
    done
done

for i in $OUT6; do
    ./do_plot6.sh -f $i -e ${OUTPUT_EPS_DIR} -d ${OUTPUT_DATA_DIR} -g ${GNUPLOT_FILE_6}
done

