#set terminal svg size 540,380 fname "Gill Sans" fsize 9 rounded dashed
set terminal post eps monochrome font "Arial,20" linewidth 3 dashed dl 3
# Line style for axes
set style line 80 lt 1
set style line 80 lt rgb "#000000"

# Line style for grid
set style line 81 lt 0  # no dashed
set style line 81 lt rgb "#808080" lw 0.5  # grey

set grid back linestyle 81
set border 3 back linestyle 80 # Remove border on top and right.  These
			       # borders are useless and make it harder
			       # to see plotted lines near the border.
			       # Also, put it in grey; no need for so much
			       # emphasis on a border.
#set xtics nomirror
#set ytics nomirror
#set ytics ("100" 32000, "500" 64000, "1000" 128000, "1500" 192000, "2000" 256000, "5000" 625000)

# Logscale?
#set log y
#set log x
#set mytics 1000    # Makes logscale look good.
# End Logscale
#
# Line styles: try to pick pleasing colors,
# rather
# than strictly primary colors or hard-to-see
# colors
# like gnuplot default yellow.  Make the lines
# thick
# so theyre easy to see in small plots in
# papers.
set style line 1 lt 1
set style line 2 lt 3
set style line 3 lt 4
set style line 4 lt 5
set style line 5 lt 7
set style line 6 lt 13
set style line 1 lt rgb "#A00000" lw 3 pt 7               #red
set style line 2 lt rgb "#00A000" lw 1.5 pt 9 ps 2 pi 5   #green
set style line 3 lt rgb "#5060D0" lw 1.5 pt 5 ps 1.5 pi 5 #bluetto
set style line 4 lt rgb "#F25900" lw 1.5 pt 13 ps 2 pi 5  #orange
set style line 5 lt rgb "#CC00FF" lw 1.5 pt 13 ps 2 pi 5  #pink
set style line 9 lt rgb "#000000" lw 1.5 pt 13 ps 2 pi 5  #black
set style line 11 lt rgb "#DAA520" lw 1.5 pt 13 ps 2 pi 5  #ocra
set pointintervalbox 3 

#set yrange [0:625000]

set xlabel "Time (s)"
set ylabel "Throughput (kbps)"

set key outside below vertical maxrows 3
