#!/usr/bin/python3

import csv
import sys

def th_get (filetoopen):
    res = []
    with open(filetoopen, 'r') as csvfile:
        spamreader = csv.reader(csvfile, delimiter='\t', quotechar='|')

        for row in spamreader:
            if row[0][0] == "#":
                continue

            res.append(float(row[1]))

        return res

def all_same(items):
    return all(len(x) == len(items[0]) for x in items)

def calc_line_wj(th, nodes):
    min_line_number = 10000000000;
    idx = -1  # Will contain the lower value for line in files. Assuming each
              # start from 0

    for w in range(0, nodes):
        if len(th[w]) < min_line_number:
            min_line_number = len(th[w])
            idx = w

    wj = 1000

    for w in range(4, len(th[idx])):
        num = 0
        den = 0
        for k in range(0, nodes):
            #print("Line: " + str(w) + " In file "+ str(k) +" is " + str (th[k][w]))
            num += th[k][w]
            den += pow(th[k][w], 2)

        num = pow(num, 2)
        den = len(range(0, nodes)) * den

        if den == 0:
            continue

        a_wj = num/den
        if a_wj < wj:
            wj = a_wj

    return wj

for nodes in [2, 4, 8, 16]:
    for bs in ["inf", "std"]:
        with open("data/wj_"+str(nodes)+"_"+bs+"-wj.data", 'w') as outfile:
            for tcp in ["Cubic", "NewReno", "Bic", "Noordwijk", "Hybla", "HighSpeed"]:

                th = []
                th_mw = []

                for k in range(1, nodes+1):
                    name = "data/wj_"+tcp+"_"+str(nodes)+"_"+bs+"-throughput-"+str(k)+".data"
                    th.append(th_get (name))

                    name = "data/wj_"+tcp+"Mw_"+str(nodes)+"_"+bs+"-throughput-"+str(k)+".data"
                    th_mw.append(th_get(name))


                wj = calc_line_wj(th, nodes)
                wj_mw = calc_line_wj(th_mw, nodes)

                print (tcp + ", " + str(nodes) + " nodes -> " + str(wj))
                print (tcp + "Mw, " + str(nodes) + " nodes -> " + str(wj_mw))

                out = 0
                if wj_mw > wj:
                    out = wj_mw - wj
                else:
                    out = 0

                outfile.write(tcp + "\t" + str(wj) + "\t" + str(out)+"\n")

            outfile.close()


with open("data/wj_6-wj.data", 'w') as outfile:
    for bs in ["inf", "std"]:
        th = []
        th_mw = []

        for k in range(1, 7):
            name = "data/wj_6_nomw_"+bs+"-throughput-"+str(k)+".data"
            th.append(th_get(name))

            name = name = "data/wj_6_mw_"+bs+"-throughput-"+str(k)+".data"
            th_mw.append(th_get(name))

        wj = calc_line_wj(th, 6)
        wj_mw = calc_line_wj(th_mw, 6)

        print (bs + " nodes -> " + str(wj))
        print (bs + " nodes -> " + str(wj_mw))

        outfile.write("#Buffer\twithout\twith C2ML\n")
        outfile.write(bs+"\t"+str(wj)+"\t"+str(wj_mw)+"\n")

    outfile.close ()
